# SPEC file for building mailfromd RPM package 

Name: mailfromd
Version: 8.17
%define subvers 20230707
Release: %{subvers}.2%{?dist}
License: GPLv3
# Stable:
#Source0: ftp://download.gnu.org.ua/pub/release/% {name}/% {name}-% {version}.tar.xz
# Alpha:
Source0: ftp://download.gnu.org.ua/pub/alpha/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://puszcza.gnu.org.ua/software/mailfromd/mailfromd.html
Group:		System Environment/Daemons
Vendor:		Sergey Poznyakoff
Packager:	Franta Hanzlik
Summary: general-purpose mail filtering daemon for Sendmail, Postfix and MeTA1
Requires: mailutils >= 3.2
Requires: gdbm
Requires: geoip
BuildRequires: gdbm-devel, adns-devel
BuildRequires: geoip-devel
## make run 'makeinfo' from texinfo package:
#BuildRequires: texinfo
## Maybe 'automake' is needed only if building from pure sources (without ./configure)?:
#BuildRequires: automake

%description
mailfromd is able to filter both incoming and outgoing messages using criteria of
arbitrary complexity, supplied by the administrator in the form of a script file.

The daemon interfaces with the MTA using Milter or PMilter protocols.

The program name (mailfromd) stems from the fact that the original implementation
was a simple filter implementing the sender address verification technique.
Since then the program has changed dramatically, and now it is actually a
specialized system providing a set of interfacing functions, along with a
language translator and runtime evaluator for executing user-defined filter
programs.

Here is a short list of the basic features mailfromd provides:

    Flexible programming language for writing MTA extensions
    Sender address verification (call-out)
    Greylisting and whitelisting
    Mail sending rate control
    Local account verification
    National language support

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" DEFAULT_SOCKET=unix:/var/run/maifromd DEFAULT_USER=mail ./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir}/%{name} --enable-syslog-async --with-gdbm --with-geoip2
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%files
%config(noreplace)%{_sysconfdir}/%{name}/*
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README* THANKS TODO
%attr(755,root,root) %{_bindir}/*
%{_sbindir}/*
%{_infodir}/*
%{_datadir}/aclocal/*.m4
%{_includedir}/%{name}/*.h
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/emacs/site-lisp/*
%{_datadir}/%{name}/*
 
%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* Tue Jun 6 2017 Franta Hanzlik <franta@hanzlici.cz>
- build for Fedora distros

